@tailwind base;
@tailwind components;
@tailwind utilities;
@tailwind variants;

body {
  color: theme('colors.white');
  font-size: theme('fontSize.base');
  font-weight: theme('fontWeight.base');
}

[type='checkbox']:checked ~ label {
  &::after {
    content: url(/assets/icons/check.svg);
    position: absolute;
    top: 2px;
    left: 2px;
  }

  &::before {
    border-color: theme('colors.violet');
  }
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus {
  background-color: theme('backgroundColor.dark');
}

@layer components {
  .list-shaddow {
    @apply relative after:content-[''] after:absolute after:bottom-0 after:left-0 after:block after:w-full after:h-[80px] after:bg-card-shadow after:pointer-events-none;
  }

  .input {
    @apply w-full h-[48px] border border-gray rounded bg-dark px-4 focus:outline focus:outline-violet autofill:bg-dark;
  }

  .label {
    @apply text-small cursor-pointer before:content-[''] before:block before:w-checkbox before:h-checkbox before:border before:border-gray before:rounded-checkbox before:bg-dark before:absolute before:top-0 before:left-0;
  }
}
